2017年04月27日
このエントリーをはてなブックマークに追加
なにげに結構ハマりました。今回のバージョンは全然わからない。
僕はけっこう前のバージョンからPleskを利用しており、だいたい初期に触る設定部分というのがあります。

いくつかはメールのスパム関係で、いくつかはPerlなどの実行部分です。

そして今回の環境でも Perl などのファイルを実行できる場所は cgi-bin に限定されていました。
とても邪道な感じがするのですが、以下の方法で無理矢理動作するようにしてしまいました。

#vi /etc/apache2/mods-enabled/cgid.conf
<Directory />
AddHandler cgi-script .cgi .pl
AllowOverride "All"
Options +ExecCGI
Require all granted
</Directory>

※Directory のパスはちゃんと考えた方がいいと思います。


stock_value at 20:37│Comments(0)技術 

この記事にコメントする

名前:
URL:
  情報を記憶: 評価: 顔